clang 8.0.0

Functions
TransEmptyStatementsAndDealloc.cpp File Reference
`#include "Transforms.h"`
`#include "Internals.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/StmtVisitor.h"`
`#include "clang/Basic/SourceManager.h"`
Include dependency graph for TransEmptyStatementsAndDealloc.cpp:

Go to the source code of this file.

## Functions
static bool | isEmptyARCMTMacroStatement (NullStmt *S, std::vector< SourceLocation > &MacroLocs, ASTContext &Ctx)
static bool | isBodyEmpty (CompoundStmt *body, ASTContext &Ctx, std::vector< SourceLocation > &MacroLocs)
static void | cleanupDeallocOrFinalize (MigrationPass &pass)

## Function Documentation

## ◆ cleanupDeallocOrFinalize()

static void cleanupDeallocOrFinalize | ( | MigrationPass & | pass | ) |
| static

Definition at line 195 of file TransEmptyStatementsAndDealloc.cpp.

References clang::arcmt::MigrationPass::ARCMTMacroLocs, clang::arcmt::MigrationPass::Ctx, clang::DeclContext::decls_begin(), clang::DeclContext::decls_end(), clang::IdentifierTable::get(), clang::ObjCMethodDecl::getCompoundBody(), clang::SelectorTable::getNullarySelector(), clang::ObjCMethodDecl::getSelectorStartLoc(), clang::ObjCMethodDecl::getSourceRange(), clang::ASTContext::getTranslationUnitDecl(), clang::ASTContext::Idents, isBodyEmpty(), clang::OMF_dealloc, clang::arcmt::TransformActions::remove(), clang::arcmt::TransformActions::replaceText(), clang::ASTContext::Selectors, and clang::arcmt::MigrationPass::TA.

Referenced by clang::arcmt::trans::removeEmptyStatementsAndDeallocFinalize().

## ◆ isBodyEmpty()

static bool isBodyEmpty | ( | CompoundStmt * | body,
|  | ASTContext & | Ctx,
|  | std::vector< SourceLocation > & | MacroLocs
| ) |  |
| static

Definition at line 186 of file TransEmptyStatementsAndDealloc.cpp.

References clang::CompoundStmt::body().

Referenced by cleanupDeallocOrFinalize().

## ◆ isEmptyARCMTMacroStatement()

static bool isEmptyARCMTMacroStatement | ( | NullStmt * | S,
|  | std::vector< SourceLocation > & | MacroLocs,
|  | ASTContext & | Ctx
| ) |  |
| static

Definition at line 32 of file TransEmptyStatementsAndDealloc.cpp.